Tenants - List Workspaces Tenant Settings Overrides
Returns list of workspace delegation setting overrides.
Note
This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.
This API supports pagination. A maximum of 10,000 records can be returned per request. With the continuation token provided in the response, you can get the next 10,000 records.
The user must be a Fabric Service Administrator or authenticate using a service principal.
Required Delegated Scopes
Tenant.Read.All or Tenant.ReadWrite.All
Limitations
Maximum 25 requests per minute.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/admin/workspaces/delegatedTenantSettingOverrides
GET https://api.fabric.microsoft.com/v1/admin/workspaces/delegatedTenantSettingOverrides?continuationToken={continuationToken}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
continuation
|
query |
string |
A token for retrieving the next page of results. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The operation was successful. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
List workspace tenant settings overrides example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/workspaces/delegatedTenantSettingOverrides
Sample response
{
"value": [
{
"id": "f51b705f-a409-4d40-9197-c5d5f349e2ef",
"tenantSettings": [
{
"settingName": "TenantSettingForWorkspaceDelegatedSwitch",
"title": "Workspace delegation test settings",
"enabled": true,
"canSpecifySecurityGroups": true,
"enabledSecurityGroups": [
{
"graphId": "f51b705f-a409-4d40-9197-c5d5f349e2f0",
"name": "Admin API SP Test"
},
{
"graphId": "1fecf19f-6e33-41b3-89fa-de8c821f3b79",
"name": "Admin API Testing"
},
{
"graphId": "64bc10f1-1f1b-4a7e-b7a0-c87d89cba2b4",
"name": "Admin Only"
}
],
"tenantSettingGroup": "Delegation testing",
"delegatedFrom": "Tenant"
}
]
}
],
"continuationUri": "https://api.fabric.microsoft.com/v1/admin/workspaces/delegatedTenantSettingOverrides?continuationToken=MSwxMDAwMCww",
"continuationToken": "MSwxMDAwMCww"
}
Definitions
| Name | Description |
|---|---|
|
Delegated |
The Fabric component (workspace, capacity or domain) that the tenant setting was delegated from. Additional |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Tenant |
Tenant setting property. |
|
Tenant |
Tenant setting property type. Additional tenant setting property types may be added over time. |
|
Tenant |
Tenant setting security group. |
|
Workspace |
Workspace tenant setting details. |
|
Workspace |
A workspaceadmin can override the tenant setting. |
|
Workspace |
A list of tenant settings overrides. |
DelegatedFrom
The Fabric component (workspace, capacity or domain) that the tenant setting was delegated from. Additional DelegatedFrom may be added over time.
| Value | Description |
|---|---|
| Tenant |
The setting is delegated from a tenant. |
| Capacity |
The setting is delegated from a capacity. |
| Domain |
The setting is delegated from a domain. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
TenantSettingProperty
Tenant setting property.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the property. |
| type |
The type of the property. |
|
| value |
string |
The value of the property. |
TenantSettingPropertyType
Tenant setting property type. Additional tenant setting property types may be added over time.
| Value | Description |
|---|---|
| FreeText |
UI accepts any string for the text box. |
| Url |
UI accepts only URLs for the text box. |
| Boolean |
A checkbox in the UI. |
| MailEnabledSecurityGroup |
UI accepts only email enabled security groups for the text box. |
| Integer |
UI accepts only integers for the text box. |
TenantSettingSecurityGroup
Tenant setting security group.
| Name | Type | Description |
|---|---|---|
| graphId |
string |
The graph ID of the security group. |
| name |
string |
The name of the security group. |
WorkspaceTenantSetting
Workspace tenant setting details.
| Name | Type | Description |
|---|---|---|
| canSpecifySecurityGroups |
boolean |
Indicates if the tenant setting is enabled for a security group. False - The tenant setting is enabled for the entire organization. True - The tenant setting is enabled for security groups. |
| delegatedFrom |
Tenant setting delegated from tenant, capacity or domain. |
|
| enabled |
boolean |
The status of the tenant setting. False - Disabled, True - Enabled. |
| enabledSecurityGroups |
A list of enabled security groups. |
|
| excludedSecurityGroups |
A list of excluded security groups. |
|
| properties |
Tenant setting properties. |
|
| settingName |
string |
The name of the tenant setting. |
| tenantSettingGroup |
string |
Tenant setting group name. |
| title |
string |
The title of the tenant setting. |
WorkspaceTenantSettingOverride
A workspaceadmin can override the tenant setting.
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
The ID of a workspace. |
| tenantSettings |
A list of workspace tenant settings. |
WorkspaceTenantSettingOverrides
A list of tenant settings overrides.
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The token for the next result set batch. If there are no more records, it's removed from the response. |
| continuationUri |
string |
The URI of the next result set batch. If there are no more records, it's removed from the response. |
| value |
A list of tenant settings that were overridden by a workspace admin. |